Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class JsfAjaxHandler

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.js.ajax.AbstractAjaxHandler
                  org.springframework.faces.webflow.JsfAjaxHandler

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware, AjaxHandler, org.springframework.web.context.ServletContextAware

    public class JsfAjaxHandler

extends AbstractAjaxHandler

Ajax handler for JSF 2 requests that can identify JSF 2 Ajax requests and send redirect instructions back to the client by including a redirect instruction in the content of the response.

Since:
  2.2.0
Author:
  Rossen Stoyanchev
See Also:
  `AbstractAjaxHandler`

Field Summary

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Constructor Summary
`JsfAjaxHandler()`
`JsfAjaxHandler(AbstractAjaxHandler delegate)`

Method Summary
`protected boolean` | `isAjaxRequestInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `sendAjaxRedirectInternal(java.lang.String targetUrl, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean popup)`

Methods inherited from class org.springframework.js.ajax.AbstractAjaxHandler
`isAjaxRequest, sendAjaxRedirect`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsfAjaxHandler

    public JsfAjaxHandler()

### JsfAjaxHandler

    public JsfAjaxHandler(AbstractAjaxHandler delegate)

Method Detail

### isAjaxRequestInternal

    protected boolean isAjaxRequestInternal(javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response)

  Specified by:
    `isAjaxRequestInternal` in class `AbstractAjaxHandler`

### sendAjaxRedirectInternal

    protected void sendAjaxRedirectInternal(java.lang.String targetUrl,
                                            javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response,
                                            boolean popup)
                                     throws java.io.IOException

  Specified by:
    `sendAjaxRedirectInternal` in class `AbstractAjaxHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD